import { Plugin } from 'rollup';
import { SFCTemplateCompileOptions, SFCAsyncStyleCompileOptions } from '@vue/compiler-sfc';

interface Options {
    include: string | RegExp | (string | RegExp)[];
    exclude: string | RegExp | (string | RegExp)[];
    target: "node" | "browser";
    exposeFilename: boolean;
    customBlocks?: string[];
    preprocessStyles?: boolean;
    templatePreprocessOptions?: Record<string, SFCTemplateCompileOptions["preprocessOptions"]>;
    compiler?: SFCTemplateCompileOptions["compiler"];
    compilerOptions?: SFCTemplateCompileOptions["compilerOptions"];
    transformAssetUrls?: SFCTemplateCompileOptions["transformAssetUrls"];
    postcssOptions?: SFCAsyncStyleCompileOptions["postcssOptions"];
    postcssPlugins?: SFCAsyncStyleCompileOptions["postcssPlugins"];
    cssModulesOptions?: SFCAsyncStyleCompileOptions["modulesOptions"];
    preprocessCustomRequire?: SFCAsyncStyleCompileOptions["preprocessCustomRequire"];
    preprocessOptions?: SFCAsyncStyleCompileOptions["preprocessOptions"];
}

declare const _default: (opts?: Partial<Options>) => Plugin;

export default _default;
